Package be.fgov.ehealth.genericinsurability.core.v1

# Class CommonInputType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.CommonInputType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class CommonInputType extends Object implements Serializable
The "root"-type of the common input element.

Java class for CommonInputType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CommonInputType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Request" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}RequestType"/>
             <element name="Origin" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}OriginType"/>
             <element name="InputReference" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}StringReferenceType" minOccurs="0"/>
             <element name="NIPReference" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}StringReferenceType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonInputType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInputReference()`
  Gets the value of the inputReference property.
  `String`
  `getNIPReference()`
  Gets the value of the nipReference property.
  `OriginType`
  `getOrigin()`
  Common input about the origin of the request.
  `RequestType`
  `getRequest()`
  Generic information about the request itself.
  `void`
  `setInputReference(String value)`
  Sets the value of the inputReference property.
  `void`
  `setNIPReference(String value)`
  Sets the value of the nipReference property.
  `void`
  `setOrigin(OriginType value)`
  Sets the value of the origin property.
  `void`
  `setRequest(RequestType value)`
  Sets the value of the request property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonInputType

    public CommonInputType()

- ## Method Details

  - ### getRequest

    public RequestType getRequest()
    Generic information about the request itself.
    Returns:
      possible object is `RequestType`

  - ### setRequest

    public void setRequest(RequestType value)
    Sets the value of the request property.
    Parameters:
      `value` - allowed object is `RequestType`
    See Also:
      - `getRequest()`

  - ### getOrigin

    public OriginType getOrigin()
    Common input about the origin of the request.
    Returns:
      possible object is `OriginType`

  - ### setOrigin

    public void setOrigin(OriginType value)
    Sets the value of the origin property.
    Parameters:
      `value` - allowed object is `OriginType`
    See Also:
      - `getOrigin()`

  - ### getInputReference

    public String getInputReference()
    Gets the value of the inputReference property.
    Returns:
      possible object is `String`

  - ### setInputReference

    public void setInputReference(String value)
    Sets the value of the inputReference property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNIPReference

    public String getNIPReference()
    Gets the value of the nipReference property.
    Returns:
      possible object is `String`

  - ### setNIPReference

    public void setNIPReference(String value)
    Sets the value of the nipReference property.
    Parameters:
      `value` - allowed object is `String`